#include "OptScheduling.h"

OptScheduling::OptScheduling()
{

}

OptScheduling::~OptScheduling()
{

}

double OptScheduling::objectiveFunction(float cost, const map<string,double>& monitorVals)
{
	double res = 0;
	return res;
}

double OptScheduling::pressureDifference(const std::vector<double>& HC, const std::vector<double>& HF)
{
	double res = 0;
	return res;
}

double OptScheduling::pumpPower(const PumpStruct& pumpParam)
{
	double res = 0;
	return res;
}


double OptScheduling::waterProductionCost(const std::vector<double>& Q, const std::vector<double>& S3)
{
	double res = 0;
	return res;
}

double OptScheduling::waterSupplyAndDemand(const std::vector<double>& Q, const double& Qd)
{
	double res = 0;
	return res;
}

void OptScheduling::setMaxMonitorVals(const  map<string, double>& maxMonitors)
{
	mMaxMonitorVals = maxMonitors;

}

void OptScheduling::setMinMonitorsVals(const map<string, double>& minMonitors)
{
	mMinMonitorVals = minMonitors;
}